{
  "name": "webpack-starter",
  "version": "1.0.0",
  "description": "A light foundation for your next frontend project based on webpack.",
  "scripts": {
    "lint": "npm run lint:styles; npm run lint:scripts",
    "lint:styles": "stylelint src",
    "lint:scripts": "eslint src",
    "build": "cross-env NODE_ENV=production webpack --config webpack/webpack.config.prod.js",
    "start": "webpack serve --config webpack/webpack.config.dev.js",
    "watch": "webpack --watch --config webpack/webpack.config.dev.js"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/wbkd/webpack-starter.git"
  },
  "keywords": [
    "webpack",
    "startkit",
    "frontend",
    "es6",
    "javascript",
    "webdev"
  ],
  "author": "webkid.io",
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/wbkd/webpack-starter/issues"
  },
  "devDependencies": {
    "@babel/core": "^7.23.9",
    "@babel/eslint-parser": "^7.23.10",
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/preset-env": "^7.23.9",
    "babel-loader": "^9.1.3",
    "bootstrap": "^5.3.2",
    "clean-webpack-plugin": "^4.0.0",
    "copy-webpack-plugin": "^12.0.2",
    "cross-env": "^7.0.3",
    "css-loader": "^6.10.0",
    "eslint": "^8.56.0",
    "eslint-webpack-plugin": "^4.0.1",
    "file-loader": "^6.2.0",
    "html-loader": "^5.0.0",
    "html-webpack-plugin": "^5.6.0",
    "mini-css-extract-plugin": "^2.8.0",
    "postcss-loader": "^8.1.0",
    "postcss-preset-env": "^9.3.0",
    "sass-loader": "^14.1.0",
    "style-loader": "^3.3.4",
    "stylelint": "^16.2.1",
    "stylelint-config-standard": "^36.0.0",
    "stylelint-webpack-plugin": "^5.0.0",
    "webpack": "^5.90.1",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1",
    "webpack-merge": "^5.10.0"
  },
  "dependencies": {
    "@babel/polyfill": "^7.12.1",
    "@babel/preset-react": "^7.23.3",
    "bootstrap": "^5.3.2",
    "core-js": "^3.35.1",
    "react": "^16.8.0",
    "react-data-table-component": "^7.6.2",
    "react-dom": "^16.8.0",
    "react-image-gallery": "^1.3.0",
    "react-images": "1.0.0",
    "react-photo-gallery": "^8.0.0",
    "sass": "^1.70.0"
  }
}
